<div class="d-flex justify-content-center">
  <div class="col-8">
    @if (orderData) {
      <div>
        <h2 data-cy="orderDataDetailsHeading"><span>Order Data</span></h2>

        <hr />

        <jhi-alert-error></jhi-alert-error>

        <jhi-alert></jhi-alert>

        <dl class="row-md jh-entity-details">
          <dt><span>ID</span></dt>
          <dd>
            <span>{{ orderData.id }}</span>
          </dd>
          <dt><span>Ppk Nomor</span></dt>
          <dd>
            <span>{{ orderData.ppkNomor }}</span>
          </dd>
          <dt><span>Ppk Tanggal</span></dt>
          <dd>
            <span>{{ orderData.ppkTanggal | formatMediumDate }}</span>
          </dd>
          <dt><span>Nasabah Nama</span></dt>
          <dd>
            <span>{{ orderData.nasabahNama }}</span>
          </dd>
          <dt><span>Nasabah Jenis</span></dt>
          <dd>
            <span>{{ orderData.nasabahJenis }}</span>
          </dd>
          <dt><span>Tanggal</span></dt>
          <dd>
            <span>{{ orderData.tanggal | formatMediumDate }}</span>
          </dd>
          <dt><span>Status</span></dt>
          <dd>
            <span>{{ orderData.status }}</span>
          </dd>
          <dt><span>Type</span></dt>
          <dd>
            <span>{{ orderData.type }}</span>
          </dd>
          <dt><span>Raw Data</span></dt>
          <dd>
            @if (orderData.rawData) {
              <div>
                <a [routerLink]="['/raw-data', orderData.rawData.id, 'view']">{{ orderData.rawData.id }}</a>
              </div>
            }
          </dd>
          <dt><span>Sk Subtitusi</span></dt>
          <dd>
            @if (orderData.skSubtitusi) {
              <div>
                <a [routerLink]="['/sk-subtitusi', orderData.skSubtitusi.id, 'view']">{{ orderData.skSubtitusi.id }}</a>
              </div>
            }
          </dd>
          <dt><span>Berkas</span></dt>
          <dd>
            @if (orderData.berkas) {
              <div>
                <a [routerLink]="['/berkas', orderData.berkas.id, 'view']">{{ orderData.berkas.id }}</a>
              </div>
            }
          </dd>
          <dt><span>Cabang</span></dt>
          <dd>
            @if (orderData.cabang) {
              <div>
                <a [routerLink]="['/cabang', orderData.cabang.id, 'view']">{{ orderData.cabang.id }}</a>
              </div>
            }
          </dd>
        </dl>

        <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
        </button>

        <button type="button" [routerLink]="['/order-data', orderData.id, 'edit']" class="btn btn-primary">
          <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
        </button>
      </div>
    }
  </div>
</div>
